Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#37 2016-08-08 10:41:23

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 1,358
Website

Re: Plugins broken in 4.6

jpdupont wrote #300540:

Adi, Bloke,

Do you plan to fix your plugins that break the design of the 4.6?

Yes! I’ve worked on a few already, email me with a wish list.

Offline

#38 2016-08-08 11:25:13

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 752
Website

Re: Plugins broken in 4.6

:-)

Actually : adi_form_links and adi_recent_tab

… and for Bloke : ied_plugin_composer

Last edited by jpdupont (2016-08-08 11:27:21)

Offline

#39 2016-08-08 14:17:05

GugUser
Member
From: Quito (Ecuador)
Registered: 2007-12-16
Posts: 1,467

Re: Plugins broken in 4.6

smd_browse_by: I have a 0.11.1 version with a few changes. But it would be nice if all the new txp-classes would be used. After all, I think this plugin should be integrated in the core, it is basically useful.

Offline

#40 2016-08-08 22:29:30

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 10,578
Website GitHub

Re: Plugins broken in 4.6

jpdupont wrote #300540:

Do you plan to fix your plugins that break the design of the 4.6?

Absolutely. Plugin Composer is done. Others were done, or on their way to being done, but the changes to the grid layout a couple of days ago may have broken them slightly. The rest, well, I’m doing them on an as-needed basis.

Since 4.6 isn’t out of beta yet, my site is still running 4.5.7 so I’m not hosting any of the 4.6-ready plugins there (yet). So if you want those, you’ll have to get them from GitHub. If you don’t want to use Plugin Composer or your Txp cache directory to install them, let me know which you desperately need and I’ll try and fix those up first and compile them into .txt files.


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Online

#41 2016-08-12 18:37:04

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 997
Website

Offline

#42 2016-08-13 06:23:56

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,777
Website GitHub Twitter

Re: Plugins broken in 4.6


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#43 2016-08-15 15:01:34

GugUser
Member
From: Quito (Ecuador)
Registered: 2007-12-16
Posts: 1,467

Re: Plugins broken in 4.6

uli wrote #299012:

esq_sectionsort

Broken feature: Sorting of categories

Can be fixed with:

Hi uli

Thanks for you proposals.

I made a version 2.03 with your fixes and it seems to work fine for sections. But the category tab doesn’t show the sort option. Do you know why?

Offline

#44 2016-08-15 19:55:46

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,261

Re: Plugins broken in 4.6

I have these sorting indicators on both pages, sections and categories, and sorting is saved on both, too.

Some plugin incompatibility on your side? TXP version? At the time I fixed it no betas were yet released, and I didn’t have the opportunity to test one until. Try my esq_cs copy, but other than that I’m out of ideas, I’m afraid.


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#45 2016-08-16 01:56:52

GugUser
Member
From: Quito (Ecuador)
Registered: 2007-12-16
Posts: 1,467

Re: Plugins broken in 4.6

Thank you, uli. Your copy works in 4.6 beta 2. I had done the same replaces based on this plugin version. I don’t know why it didn’t work. The following part was not executed:

.wrapAll('<div class="categorysort"/>')

Now, with your version, all is fine.

Who is caimini?

Offline

#46 2016-10-03 15:50:40

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,261

Re: Plugins broken in 4.6

GugUser wrote #300657:

Who is caimini?

The plugin author of esq_sectionsort.


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#47 2016-10-04 11:14:56

ENB
New Member
Registered: 2016-10-04
Posts: 5

Re: Plugins broken in 4.6

tru_tags is broken at 4.6v (mysqli)

Offline

#48 2016-12-02 19:16:34

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,261

Re: Plugins broken in 4.6

I’ve just harvested the forums for those postings offering schematic solutions for fixing misbehaving/broken plugins in 4.6+ and set up a small link list. Did I overlook anything?


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

Board footer

Powered by FluxBB